
(function ($) {
    $.view_list_employee = function (element, options) {
        let defaults = {
        };
        let plugin = this;
        plugin.settings = {};
        let $element = $(element);
        plugin.init = function () {
            plugin.settings = $.extend({}, defaults, options);
            $element.find('.wrapper-employee').hover(function (e) {
                let $wrapper_employee = $(this).closest('.wrapper-employee');
                $wrapper_employee.addClass('hover');
            }, function (e) {
                let $wrapper_employee = $(this).closest('.wrapper-employee');
                $wrapper_employee.removeClass('hover');
            })
        };
        plugin.example_function = function () {
        };
        plugin.init();
    };
    $.fn.view_list_employee = function (options) {
        return this.each(function () {
            if (undefined === $(this).data('view_list_employee')) {
                let plugin = new $.view_list_employee(this, options);
                $(this).data('view_list_employee', plugin);
            }
        });
    }
})(jQuery);
